| Home | Libraries | People | FAQ | More

##### basic_seq_packet_socket::set_option (2 of 2 overloads)

Inherited from basic_socket.

Set an option on the socket.

    template<
        typename SettableSocketOption>
    boost::system::error_code set_option(
        const SettableSocketOption & option,
        boost::system::error_code & ec);

This function is used to set an option on the socket.

###### Parameters

option

  The new option value to be set on the socket.

ec

  Set to indicate what error occurred, if any.

###### Example

Setting the IPPROTO_TCP/TCP_NODELAY option:

    boost::asio::ip::tcp::socket socket(io_service);
    ...
    boost::asio::ip::tcp::no_delay option(true);
    boost::system::error_code ec;
    socket.set_option(option, ec);
    if (ec)
    {
      // An error occurred.
    }